Get Service account Key By ID
Deprecated: use user service v2 ListUsers instead.
Get a specific Key of a service account by its id. Machine keys are used to authenticate with jwt profile authentication.
curl -X GET "https://loading/users/string/keys/string"{
"key": {
"id": "string",
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"type": "KEY_TYPE_UNSPECIFIED",
"expirationDate": "2023-01-15T01:30:15.01Z"
}
}Was this page helpful?
Get Project By ID
Get Project By ID: Deprecated: use [project v2 service GetProject](/reference/api/project/zitadel.project.v2.ProjectService.GetProject) instead. Returns a project owned by the organization (no granted projects). A Pr...
Get User Authentication Factors (2FA/MFA)
Get User Authentication Factors (2FA/MFA): Deprecated: use [user service v2 ListAuthenticationMethodTypes](/reference/api/user/zitadel.user.v2.UserService.ListAuthenticationMethodTypes) instead. Get a list of authentication factors the user...